Name:           cockpit-image-builder
Version:        69
Release:        1.20250621105407574674.pr3352.57.g6b2141f4%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-70.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Sat Jun 21 2025 Packit <hello@packit.dev> - 69-1.20250621105407574674.pr3352.57.g6b2141f4
- chore(deps): update konflux references (red-hat-konflux[bot])
- Wizard: Fix target env cards clickability (regexowl)
- build(deps-dev): bump chart.js from 4.4.9 to 4.5.0 (dependabot[bot])
- test: Update tests to reflect changes in chart visibility (regexowl)
- Wizard: Show lifecycle information for RHEL9 (Simon Steinbeiss)
- playwright: Add handler for new intercom notifications (Tom Koscielniak)
- playwright: Add single login for all tests (Tom Koscielniak)
- multiple: fix act errors in the tests (Gianluca Zuccarelli)
- multiple: fix selectable card `onChange` (Gianluca Zuccarelli)
- multiple: fix selectable card actions (Gianluca Zuccarelli)
- Wizard: fix state change on render (Gianluca Zuccarelli)
- test: Update mocked cockpit release (regexowl)
- test: Add test fixtures and update tests where needed (regexowl)
- Wizard: Add `rhel9` query parameter (regexowl)
- Wizard: Adjust distribution sorting for RHEL 10 (Simon Steinbeiss)
- Wizard: Make RHEL 10 the default distribution (Simon Steinbeiss)
- Repositories: fix architecture/version display to use readable names from API (Michal Gold)
- sharedComponents: Rename "Create blueprint" button (regexowl)
- Konflux: Migrate apply-tags from 0.1 to 0.2 (regexowl)
- Update Konflux references (red-hat-konflux[bot])
- GHA: enable the stale action to delete its saved state (Tomáš Hozza)
- Wizard: change order of the systemd services (Katarina Sieklova)
- fix: replace hardcoded paths for satellite (Anna Vítová)
- fix: replace hardcoded paths for firstboot svc (Anna Vítová)
- fix: replace hardcoded paths for firstboot (Anna Vítová)
- Wizard: add constants for fb paths (Anna Vítová)
- Wizard: cleanup request mapper (Anna Vítová)
- Tets: add Kernel customizations test (Anna Vítová)
- Wizard: Fix wizard height (regexowl)
- Wizard: edit tests related to Compliance step (Katarina Sieklova)
- Wizard: Fix "None" options in Selects for policies and Oscap profiles (Katarina Sieklova)
- AppCockpit: add dark mode helper (Gianluca Zuccarelli)
- Makefile: update cockpit ref (Gianluca Zuccarelli)
- Manually revert "Wizard: temporarily disable OCI" (regexowl)
- build(deps-dev): bump @types/node from 22.15.1 to 24.0.3 (dependabot[bot])
- devDeps: Bump msw from 2.7.5 to 2.10.2 (regexowl)
- build(deps-dev): bump stylelint-config-recommended-scss (dependabot[bot])
- Wizard: Make popover button independent on tab (regexowl)
- Wizard: Fix release dropdown's `maxWidth` (regexowl)
- Wizard: Remove unused styling (regexowl)
- ImagesTable: fix main section alignment (Gianluca Zuccarelli)
- src: Remove `image-builder.users.enabled` flag (regexowl)
- devDeps: Bump @typescript-eslint/eslint-plugin and @typescript-eslint/parser (regexowl)
- Wizard: Sort activation keys list (regexowl)
- build(deps-dev): bump brace-expansion from 1.1.11 to 1.1.12 (dependabot[bot])
- build(deps-dev): bump @babel/core from 7.26.10 to 7.27.4 (dependabot[bot])
- ReviewStep: fix alignment (Gianluca Zuccarelli)
- ImageTable: fix blueprint list cards (Gianluca Zuccarelli)
- Wizard: remove public clouds if none available (Gianluca Zuccarelli)
- cockpit: fix fonts (Gianluca Zuccarelli)
- cockpit: page section wrapper for entrypoint (Gianluca Zuccarelli)
- sharedComponents: tidy up image-builder-header (Gianluca Zuccarelli)
- CloudStatus: disable analytics for on-prem (Gianluca Zuccarelli)
- .github: run test workflows on merge_group (Sanne Raymaekers)
- Blueprints: disable analytics for on-prem delete (Anna Vítová)
- .tekton: support merge queues (Sanne Raymaekers)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
